> ## Documentation Index
> Fetch the complete documentation index at: https://anyip.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch delete proxy accounts

> Deletes multiple proxy accounts belonging to the team in the URL. Every id must resolve to a proxy account owned by {team_id}. Returns 204 when all ids are deleted, 403 when some ids are not accessible for this team, and 422 when the request body is invalid.



## OpenAPI

````yaml /openapi.json delete /api/teams/{team_id}/proxy_accounts/batch
openapi: 3.1.0
info:
  title: AnyIP.io API documentation
  description: API documentation
  version: 1.0.0
servers:
  - url: /
    description: ''
security:
  - apiHeader: []
tags:
  - name: Export
    description: Export operations
  - name: IPWhitelist
    description: Supplementary IP whitelist operations
  - name: Payment
    description: Team payment invoice download
  - name: ProxyAccount
    description: Resource 'ProxyAccount' operations.
  - name: ProxyProfile
    description: Supplementary proxy profile operations
  - name: Tag
    description: Core tag operations
  - name: Team
    description: NOWPayments subscription operations
  - name: Traffic
    description: Resource 'Traffic' operations.
  - name: User
    description: Deprecated user subscription and payment operations
paths:
  /api/teams/{team_id}/proxy_accounts/batch:
    delete:
      tags:
        - ProxyAccount
      summary: Batch delete proxy accounts
      description: >-
        Deletes multiple proxy accounts belonging to the team in the URL. Every
        id must resolve to a proxy account owned by {team_id}. Returns 204 when
        all ids are deleted, 403 when some ids are not accessible for this team,
        and 422 when the request body is invalid.
      operationId: proxy_accounts_delete_batch
      parameters:
        - name: team_id
          in: path
          description: Team identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                ids:
                  type: array
                  description: Document identifiers to delete.
                  items:
                    type: string
                    pattern: ^[0-9a-fA-F]{24}$
                    example: 507f1f77bcf86cd799439011
                  minItems: 1
                  maxItems: 100
                  example:
                    - 507f1f77bcf86cd799439011
              required:
                - ids
              additionalProperties: false
        required: true
      responses:
        '204':
          description: ProxyAccount resource deleted
        '403':
          description: Forbidden
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '404':
          description: Not found
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
components:
  schemas:
    Error.jsonld:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            title:
              readOnly: true
              description: A short, human-readable summary of the problem.
              type:
                - string
                - 'null'
            detail:
              readOnly: true
              description: >-
                A human-readable explanation specific to this occurrence of the
                problem.
              type:
                - string
                - 'null'
            status:
              type:
                - integer
                - 'null'
              examples:
                - 404
              default: 400
            instance:
              readOnly: true
              description: >-
                A URI reference that identifies the specific occurrence of the
                problem. It may or may not yield further information if
                dereferenced.
              type:
                - string
                - 'null'
            type:
              readOnly: true
              description: A URI reference that identifies the problem type
              type: string
            description:
              readOnly: true
              type:
                - string
                - 'null'
      description: A representation of common errors.
    Error:
      type: object
      description: A representation of common errors.
      properties:
        title:
          readOnly: true
          description: A short, human-readable summary of the problem.
          type:
            - string
            - 'null'
        detail:
          readOnly: true
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          examples:
            - 404
          default: 400
        instance:
          readOnly: true
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. It may or may not yield further information if
            dereferenced.
          type:
            - string
            - 'null'
        type:
          readOnly: true
          description: A URI reference that identifies the problem type
          type: string
    HydraItemBaseSchema:
      type: object
      properties:
        '@context':
          oneOf:
            - type: string
            - type: object
              properties:
                '@vocab':
                  type: string
                hydra:
                  type: string
                  enum:
                    - http://www.w3.org/ns/hydra/core#
              required:
                - '@vocab'
                - hydra
              additionalProperties: true
        '@id':
          type: string
        '@type':
          type: string
      required:
        - '@id'
        - '@type'
  securitySchemes:
    apiHeader:
      type: apiKey
      description: Value for the api-key header parameter.
      name: api-key
      in: header

````